<?xml version="1.0" encoding="utf-8"?>
<creole>
    
    <files>
        <!--Initialisation de la bdd -->
        <file filelist='cdc' name='/usr/share/eole/mysql/cdc/gen/cdc-create.sql' />
    </files>
    
    <containers>
        <container name='web'>
            <!--Fichier de configuration de eole-cdc -->
            <package>cdc-apps</package>
            
            <!--Fichier de configuration de apache -->
            <file name='/etc/apache2/sites-available/cdc' filelist='cdc' source='cdc-apache.conf' />
            
            <!--Fichier de configuration de cdc -->
            <file name='/var/www/html/cdc/cdc.config.php' filelist='cdc' source='cdc-config.php' rm='True' />
            
            <!-- Service Apache -->
            <service method="apache" servicelist="cdc">cdc</service>
        </container>
    </containers>
    
    <variables>
        <family name='applications web'>
            <variable name='activer_cdc' type='oui/non' description="Activer CDC = Carnet de Correspondance">
                <value>oui</value>
            </variable>
        </family>
    </variables>
    
    <constraints>
        <condition name='hidden_if_in' source='activer_apache'>
            <param>non</param>
            <target type='filelist'>cdc</target>
            <target type='servicelist'>cdc</target>
        </condition>
        		
		<condition name='hidden_if_in' source='activer_cdc'>
			<param>non</param>
			<target type='filelist'>cdc</target>
			<target type='servicelist'>cdc</target>
		</condition>
    </constraints>

    <help>
        <variable name='activer_cdc'>CDC est une application permettant de gérer les échanges entre les parents, les profs, les élèves.</variable>
    </help>
</creole>
